Introduction

The ReelDVD Tutorial is an introduction to DVD authoring that takes you step-by-step through the creation of a complete DVD-Video disc. The tutorial takes approximately two hours and provides a chance to use most of the features in ReelDVD.

If during the tutorial you have any questions, refer to the ReelDVD User Guide or the online help. References to sections in these documents are provided throughout the tutorial. A print-ready version of this tutorial is available in PDF format on the ReelDVD Tutorial disc.

The rest of this section provides the following introductory topics:

  • The Project Plan
  • The Basic Tutorial Steps
Sonic Solutions/
Voice: 415.893.8000
Fax: 415.893.8008
info@sonic.com


The Project Plan

The project you will create, Facepainting. consists of a video feature, slide show, and several motion and still menus. Playback begins with a short Main Intro sequence that leads directly into the Main Menu. The Main Menu is a 10-second video loop containing four menu buttons that link to the:

  • Main Movie, a video feature (lasting 2 minutes, 30 seconds) with three chapters, audio and subtitles.
  • Chapter Menu, a 10-second video loop with three buttons that link to the chapters in the Main Movie, and one button that links back to the Main Menu.
  • Slide Show, a 40-second slide show with four images.
  • DVD Credits, a still menu with one button that links back to the Main Menu.

The project flow for the tutorial is illustrated in Figure 1, where gray items represent a menu with buttons and white items represent a linear sequence (video or slide show).

Figure 1: Flowchart of the project plan

The linear sequences will be authored to return to the Main Menu after playback completes. In addition, all of the elements (except the Main Intro) will be set to return to the Main Intro when the Return key is pressed on the remote control. The Main Menu will serve as the Title Menu, and therefore be associated with the Title key on the remote control. The Chapter Menu will serve as the Root Menu and be associated with the Menu key on the remote.

For more information on planning a project, see Chapter 5, “Planning and Preparation” in the ReelDVD User Guide.


The Basic Tutorial Steps

The ReelDVD Tutorial includes the following basic steps:
  1. Prepare the tutorial asset files.
  2. Launch ReelDVD and configure Project Settings.
  3. Import the tutorial assets, which include video files, still images, audio files, subpictures, and subtitles.
  4. Author navigation for the project by adding chapter breaks, defining links, and creating menu buttons.
  5. Test the project with ReelDVD”s Simulation mode and CinePlayer DVD.
  6. Output the project to CD-R, DVD-R, or DLT tape.

These steps are covered in detail in the remaining sections.


Importing the Assets

In this section you will prepare the tutorial assets, configure Project Settings, and import the tutorial assets. This section includes the following topics:

  • Preparing the Asset Files
  • Configuring the Project Settings
  • Importing the Video Files
  • Importing the Still Images
  • Importing the Audio Files
  • Importing the Subpictures
  • Importing the Subtitles


Preparing the Asset Files

Before launching ReelDVD, you must copy the tutorial assets (included on the ReelDVD Tutorial disc) to a local hard drive and set their Read-only attribute. In addition, you must edit the subtitle script file to recognize the new location for the subtitle images.

To prepare the ReelDVD tutorial asset files:
  1. Insert the ReelDVD Tutorial disc and drag the “ReelDVD Tutorial Assets” folder to a local hard drive. Make sure the hard drive has enough free space (at least 200 MB?).
  2. Set the Read-only Attribute for the copied assets:
    • Right-click the copied “ReelDVD Tutorial ASsets” folder and choose Properties from the pop-up menu. The Properties window opens.
    • Deselect the Read-only Attribute and click OK.
    • When prompted to confirm the attribute the changes, select “Apply changes to this folder, subfolders and files,” then click OK.
  3. Edit the subtitle script file to update the directory it will reference:
    • Locate the subtitle script file (ReelDVD Tutorial Assets\Subtitles\04_Subtitle_Script.sst).
    • Right-click the script file and choose Open With from the pop-up menu. From the list of programs, choose Notepad and click OK.
    • Edit the following Directory line so the folder’s new location is listed.

      • Directory C:\ReelDVD Tutorial Assets\Subtitles\

      ReelDVD will use this directory to determine where to find the subpicture images that make up the subtitle stream. If an incorrect path is entered, ReelDVD will not be able to import the subtitles.

    • Choose FIle > Save to save the changes. Close Notepad.

You are now ready to proceed to the next section and begin creating the project.


Configuring the Project Settings

Before importing the tutorial assets, first configure the Project Settings.

To launch ReelDVD and configure Project Settings:
  1. From the Windows Start menu, choose Programs > Sonic > ReelDVD > Sonic ReelDVD.
  2. Choose Edit > Project Settings.
  3. Click the Project tab and enter the following settings:

    4. Disc Name | FACEPAINTING
TV System | NTSC (29.97 fps)
Timecode Format | Non-drop Frame
Video Format | MPEG-2
Aspect Ratio | Standard - 4:3
Size | 720x480 - Full D1
Audio Encoding Type (if available) | As is
Image Encoding Rate | 8.0 Mbps

    In addition to specifying the project name, the settings on the Project tab determine how ReelDVD handles assets when they are imported.

  4. Click the Languages tab and enter the following settings.

    5. Audio Languages, Stream #1 | English
Subtitle Languages, Stream #1 | English
Simulation Defaults, Audio | English
Simulation Defaults, Subtitle | English

    The Languages tab defines the default language code to associate with the audio and subtitle streams, and also sets the language defaults to use when using Simulation mode (see Using Simulation Mode).

  5. Click OK to save the Project Settings.

For more information about Project Settings, see Chapter 4, “Menus and Dialogs” in the ReelDVD User Guide.


Importing the Video Files

The content for DVD-Video discs is largely dictated by the video stream (which also includes still images and slide shows). This means that is not possible, for example, to have audio that plays without video or still images present. Therefore, the first step in creating the tutorial project is to import the video content for the Main Intro, Main and Chapter Menus (both motion menus), and Main Movie.

To import the video files:
  1. If the ReelDVD Explorer window is not visible, select View > Explorer Window.
  2. In the Explorer window, navigate to the “ReelDVD Tutorial Assets” directory on the local hard drive.
  3. To view only the video files, click the Video Files filter button in the top right of the Explorer window.

            4.

  4. Select the four video files in the Explorer window (listed below) and drag them to the Storyboard area.

    5. 01_Main_Intro.mpv
    02_Main_Menu.mpv
    03_Chapter_Menu.mpv
    04_Main_Movie.mpv

    The video files are encoded and new tracks are created for each. The first video file dragged to the Storyboard area is automatically designated as the Auto Play track and is connected to the Auto Play icon.

For more information about video streams, see Chapter 3, “ReelDVD Work Areas” in the ReelDVD User Guide.


Importing the Still Images

The tutorial project uses still images for the Slide Show and the DVD Credits menu. This section contains the following topics:

  • Importing the Slide Show
  • Importing the Still Menu

Importing the Slide Show

The Slide Show consists of four still images; each will display for the default 10 seconds. Slide Show tracks are created by importing the first still image in the Slide Show. After which, the remaining slide images can be imported by dragging them to the Track window.

To import the Slide Show:
  1. If the ReelDVD Explorer window is not visible, select View > Explorer Window.
  2. In the Explorer window, navigate to the “ReelDVD Tutorial Assets” directory on the local hard drive.
  3. To view only the image files, click the Image Files filter button in the top right of the Explorer window.

            4.

  4. Drag the first slide image (05_Slide_A.bmp) to an empty space in the Storyboard area. When prompted, select Slide Show and click OK.

    5. The image is encoded and a Slide Show track is created and automatically selected in the Storyboard area. Slide images are assigned a default duration of 10 seconds, which is what will be used for this project.

  5. If the Track window is not visible, select View > Track Window.
  6. If it is not selected, select the Slide Show track in the Storyboard area, so it is displayed in the Track window.
  7. Select the remaining slide images (listed below) in the Explorer window and drag them to the Track window, just to the right of the first slide image.

    8. 05_Slide_B.bmp
    05_Slide_C.bmp
    05_Slide_D.bmp

    The slide images are encoded and inserted into the video stream.

For more information about Slide Shows, see Chapter 3, “ReelDVD Work Areas” in the ReelDVD User Guide.

Importing the Still Menu

The tutorial project includes a Still Menu that lists the DVD Credits. It also contains a single button to return to the Main Menu. To simplify the authoring process, the still image was created as a layered Photoshop files so that ReelDVD can automatically create the subpicture mask and button highlights for the menu.

To import the Still Menus:
  1. If the ReelDVD Explorer window is not visible, select View > Explorer Window.
  2. In the Explorer window, navigate to the “ReelDVD Tutorial Assets” directory on the local hard drive.
  3. To view only the image files, click the Image Files filter button in the top right of the Explorer window.

            4.

  4. Drag the Photoshop file (06_DVD_Credits.psd) to an empty space in the Storyboard area. When prompted, select “Still Menu with Sub-picture” and click OK.
  5. When prompted with the Select Layers dialog (with “Button #1” enabled), click OK.

    6. The image is encoded and a Still Menu track is created with the subpicture and button hotspots defined. A subpicture overlay file (06_DVD_Credits_sp.bmp) is created for the Still Menu and written to the “ReelDVD Tutorial Assets” directory.

For more information about importing layered Photoshop, see Chapter 4, “Menus and Dialogs” in the ReelDVD User Guide.


Importing the Audio Files

The tutorial project includes audio for both the Main Movie and Slide Show.

To import the audio files:
  1. If the ReelDVD Explorer window is not visible, select View > Explorer Window.
  2. In the Explorer window, navigate to the “ReelDVD Tutorial Assets” directory on the local hard drive.
  3. To view only the audio files, click the Audio Files filter button in the top right of the Explorer window.

            4.

  4. Drag the 04_Main_Movie.ac3 file from the Explorer window to the “04_Main_Movie.mpv” track in the Storyboard area. The target track is selected and displayed in the Track window with the new audio stream.
  5. Drag the 05_Slide_Show.ac3 file from the Explorer window to the “05_Slide_A.bmp” track in the Storyboard area. The target track is selected and displayed in the Track window with the new audio stream.

For more information about audio streams, see Chapter 3, “ReelDVD Work Areas” in the ReelDVD User Guide.


Importing the Subpictures

Because the Main Menu and Chapter Menu are created from video, a separate subpicture image is required for each to define button hotspots.

To import the subpictures:
  1. If the ReelDVD Explorer window is not visible, select View > Explorer Window.
  2. In the Explorer window, navigate to the “ReelDVD Tutorial Assets\Subpictures” directory on the local hard drive.
  3. To view all files, click the All Files filter button in the top right of the Explorer window.

            4.

  4. Drag the 02_Main_Menu_Sub.bmp file from the Explorer window to the “02_Main_Menu.mpv” track in the Storyboard area. The dragged image appears in the Track window as a Menu-type subpicture.
  5. Drag the 03_Chapter_Menu_Sub.bmp file from the Explorer window to the “03_Chapter_Menu.mpv” track in the Storyboard area. The dragged image appears in the Track window as a Menu-type subpicture.

For more information about subpicture streams, see Chapter 3, “ReelDVD Work Areas” in the ReelDVD User Guide.


Importing the Subtitles

The last set of assets to import are the subtitles displayed while the Main Movie plays. These subtitles have been prepared in the Scenarist Subtitle Script format—a collection of subpicture images with a script file that specifies where on the timeline each subtitle is placed.

To import subtitles:
  1. If the ReelDVD Explorer window is not visible, select View > Explorer Window.
  2. In the Explorer window, navigate to the “ReelDVD Tutorial Assets\Subtitles” directory on the local hard drive.
  3. To view all files, click the All Files filter button in the top right of the Explorer window.

            4.

  4. Drag the subtitle script file (04_Subtitle_Script.sst) from the Explorer window to the “04_Main_Movie.mpv” track in the Storyboard area. The target track is selected and displayed in the Track window with the new subtitle stream.
  5. Choose File > Save. The Save As dialog opens.
  6. Enter a project name and specify the project directory, then click Save.

Note: Imported subtitle images are not encoded until you attempt to play the project in Simulation mode.

For more information about subtitles and their relation to subpictures, see Chapter 5, “Planning and Preparation” in the ReelDVD User Guide.


Authoring and Navigation

This section documents how to author the navigation for the tutorial project. It includes the following topics:

  • Laying Out the Workspace
  • Adding Chapter Breaks
  • Defining Auto Play, Title, and Menu Links
  • Defining Next and Return links
  • Creating Menu Buttons


Laying Out the Workspace

After preparing and importing assets, it is generally a good idea to arrange the icons in the Storyboard area so they represent the actual project flow. For the tutorial project, arrange the icons as shown in Figure 2.

Figure 2: Layout of tutorial project in Storyboard area


Adding Chapter Breaks

The authoring steps can be performed in virtually any order. However, it is usually best to start by defining the chapter breaks in the video content.

To add chapter breaks:
  1. If the Preview window is not visible, select View > Preview Window.
  2. If the Track window is not visible, select View > Track Window.
  3. Select the “04_Main_Movie.mpv” track in the Storyboard area, so it is displayed in the Track window.
  4. In the Track window, drag the green timeline cursor so the Video Time (in the Preview window) reads approximately 00:01:04:00.

            5.

    As you drag the timeline cursor, the Preview window automatically updates, displaying the time code and video for the cursor location. The precision of the timeline cursor depends on the Track window’s zoom level.

  5. Click the New Chapter Break button in the lower left of the Track window. A chapter break is inserted and a yellow marker appears above the timeline to indicate its location.

            6.

    The DVD Specification requires that chapter breaks occur on the boundary between Groups of Pictures (GOPs), which occur approximately twice per second. ReelDVD automatically places chapter breaks at the nearest GOP boundary.

    Chapter breaks also must reside between subtitles. To verify their placement, zoom in in the Track window and make sure the dotted lines for each chapter break do not overlap with any of the subtitle blocks.

  6. Select the new chapter by clicking the light gray segment to the right of the yellow chapter marker. Fields for Chapter Time and Chapter Name appear at the bottom of the Track window.
  7. If necessary, edit the Chapter Time field so it is exactly 00:01:04:20.
  8. Repeat the previous steps to add an additional chapter break at 00:01:58:00.
  9. Choose File > Save to save the project.

For more information about creating chapter breaks, see Chapter 6, “Asset Import and Authoring” in the ReelDVD User Guide.


Defining Auto Play, Title, and Menu Links

After adding tracks to the tutorial project and defining chapters, you are ready to set the links for Auto Play, Title, and Menu.

The Auto Play track is the menu, movie, or slide show that plays when the disc is inserted. The Title and Menu links define where playback jumps to when the Title and Menu keys are pressed on the remote control.

To set the Auto Play, Title, and Menu links:
  1. If “01_Main_Intro.mpv” is not already set to Auto Play, in the Storyboard area, drag from the lower portion of the Auto Play icon to the “01_Main_Intro.mpv” track.
  2. Specify “02_Main_Menu.mpv” as the Title Menu by dragging from the lower portion of the Title icon to the “02_Main_Menu.mpv” track.
  3. Specify “03_Chapter_Menu.mpv” as the Root Menu by dragging from the lower portion of the Menu icon to the “03_Chapter_Menu.mpv” track.
  4. Choose File > Save to save the project.

When the Auto Play, Title, and Menu links are defined, yellow arrows point to their destination tracks in the Storyboard area.

For more information about the Auto Play, Title, and Menu links, see Chapter 6, “Asset Import and Authoring” in the ReelDVD User Guide.


Defining Next and Return links

The Next, Previous, and Return links define how playback proceeds when the Skip Forward, Skip Backward, and Return keys are pressed on the remote control. The Next link also instructs the DVD player where to go when a track has finished playing.

Track icon link symbols

The tutorial project will contain Next and Return links, but no Previous links.

To set the Next and Return links:
  1. In the Storyboard area, set the Next link for each track by dragging from their Next Link symbols (on the right side of the icon) to the destination track:

    2. Source Track | Next Link Track (destination)
01_Main_Intro.mpv | 02_Main_Menu.mpv
02_Main_Menu.mpv | 02_Main_Menu.mpv
03_Chapter_Menu.mpv | 03_Chapter_Menu.mpv
04_Main_Movie.mpv | 02_Main_Menu.mpv
05_Slide_A.bmp | 02_Main_Menu.mpv
06_DVD_Credits.psd | 06_DVD_Credits.psd

    The Next links for the Main Menu and Chapter Menu are routed to themselves so they will loop indefinitely (until a menu button is clicked or a remote control button is pressed).

  2. Set the Return link for each track by dragging from their Return Link symbols (at the top of the icon) to the destination track:

    3. Source Track | Return Link Track (destination)
01_Main_Intro.mpv | – No Return Link –
02_Main_Menu.mpv | – No Return Link –
03_Chapter_Menu.mpv | 02_Main_Menu.mpv
04_Main_Movie.mpv | 02_Main_Menu.mpv
05_Slide_A.bmp | 02_Main_Menu.mpv
06_DVD_Credits.psd | 02_Main_Menu.mpv

    The Return links allow the viewer to easily return to the Main Menu from any point by simply pressing the Return key on the remote control.

  3. Choose File > Save to save the project.

After completing the previous steps, the Storyboard area should look like Figure 3.

Figure 3: Next, Return, and Menu links in the Storyboard area

For more information about Next, Previous, and Return links, see Chapter 3, “ReelDVD Work Areas” in the ReelDVD User Guide.


Creating Menu Buttons

The tutorial project requires buttons in the Main Menu and Chapter Menu. Buttons will be created by defining hotspots, setting highlight colors, and defining button command links. The button in the DVD Credits menu is automatically imported from the Photoshop file and only needs its highlight colors and command link set.

This section includes the following topics:

  • Adding buttons to the Main Menu
  • Adding Buttons to the Chapter Menu
  • Defining the Button on the DVD Credits Menu
  • Completed Button Links

Adding buttons to the Main Menu

To add buttons to the Main Menu:
  1. If the Preview window is not visible, select View > Preview Window.
  2. Select the “02_Main_Menu.mpv” track in the Storyboard area, so it is displayed in the Preview window.
  3. For greater precision when creating buttons, you may want to enlarge the Preview window. Right-click the gray area in the Preview window and deselect Allow Docking, then move and resize the window as needed.
  4. In the Preview window’s control panel, select the Create Button tool.

            5.

  5. Create a button hotspot by dragging a rectangle around the Play Movie button. Make sure the hotspot area completely contains the text and triangles, but does not overlap the button area below.

    6. The first hotspot created corresponds to Button #1, and will be the default button selected when first entering the menu.

  6. If necessary, adjust the size and position of the hotspot after it is created. In the Preview window’s control panel, select the Select tool.

            7.

    Click the hotspot you want to modify and drag its edges to resize it, or drag from the middle of the hotspot to move it.

  7. Repeat the previous steps to create hotspots for the remaining menu buttons.
  8. In the Preview window’s control panel, select the Link Vertically tool.

            9.

  9. Define the vertical navigation for the buttons by dragging between the hotspots. This determines how the buttons will be navigated and selected with the Up and Down arrows on the remote control.
    • Drag from the Play Movie hotspot to the Chapter Selection button.
    • Drag from the Chapter Selection hotspot to the Slide Show button.
    • Drag from the Slide Show hotspot to the DVD Credits button.
    • Drag from the DVD Credits hotspot to the Play Movie buttons.

When encountering the Main Menu, the Play Movie button (Button #1) will be highlighted by default. Clicking the Down arrow on the remote control will highlight the next button below it, and so forth. Clicking the Up arrow will highlight the previous button above it. If the DVD Credits button is highlighted, clicking the Down arrow will loop back to highlight the Play Movie button.

To set the highlight colors for the Main Menu buttons:
  1. In the Preview window’s control panel, click the Display Color button. The Preview window displays the default highlight color for the button hotspots, how they will appear when not selected and not activated.

            2.

  2. Set the Contrast value for Color 3 (third color from the left at the bottom of the Preview window) to 0%. To adjust this value, click the Decrease Contrast button (–) repeatedly.

            3.

    As the Contrast value decreases, the button triangles within the hotspots decrease in opacity until they are completely transparent.

  3. Click the Selection Color button. The Preview window displays the Selection Color for button hotspots, how they will appear when selected.
  4. Click Color 3 and select Light Gray from the pop-up menu palette. The button triangles are displayed in light gray. Set the Contrast value for Color 3 to 80%.
  5. Click the Action Color button. The Preview window displays the Action Color for button highlights, how they will appear when activated (by pressing the Enter key on the remote control).
  6. Click Color 3 and select Dark Red from the pop-up menu palette. The button triangles are displayed in dark red. Set the Contrast value for Color 3 to 60%.
To set the commands for the Main Menu buttons:
  1. In the Storyboard area, set the Command link for the first button. Drag from the Main Menu’s Command Link symbol (at the bottom of the icon) to the “04_Main_Movie.mpv” track.
  2. In the Select Chapter dialog, select the destination chapter (04_Main_Movie.mpv_ch.01) for the button.
  3. In the Choose Command Button dialog, click the button hotspot (Play Movie) that will link to the destination chapter.
  4. Repeat the previous steps to create button links from the Main Menu to the following tracks:

    5. 03_Chapter_Menu.mpv
    05_Slide_A.bmp
    06_DVD_Credits.psd

  5. Choose File > Save to save the project.

For more information about menu buttons, see Chapter 6, “Asset Import and Authoring” in the ReelDVD User Guide.

Adding Buttons to the Chapter Menu

To add buttons to the Chapter Menu:
  1. If the Preview window is not visible, select View > Preview Window.
  2. Select the “03_Chapter_Menu.mpv” track in the Storyboard area, so it is displayed in the Preview window.
  3. For greater precision when creating buttons, you may want to enlarge the Preview window. Right-click the gray area in the Preview window and deselect Allow Docking, then move and resize the window as needed.
  4. In the Preview window’s control panel, select the Create Button tool.

            5.

  5. Create a button hotspot by dragging a rectangle over the left black square. Make sure the hotspot area completely contains the black square, but does not overlap the button to the right.

    6. The first hotspot created corresponds to Button #1, and will be the default button selected when first entering the menu.

  6. If necessary, adjust the size and position of the hotspot after it is created. In the Preview window’s control panel, select the Select tool.

            7.

    Click the hotspot you want to modify and drag its edges to resize it, or drag from the middle of the hotspot to move it.

  7. Repeat the previous steps to create hotspots for the other two black squares and the Back button.
  8. In the Preview window’s control panel, select the Link Horizontally tool.

            9.

  9. Define the horizontal navigation for the buttons by dragging between the hotspots. This determines how the buttons will be navigated and selected with the Left and Right arrows on the remote control.
    • Drag from the left square hotspot to the center square button.
    • Drag from the center square hotspot to the right square button.
    • Drag from the right square hotspot to the left square button.
  10. In the Preview window’s control panel, select the Link Vertically tool.
  11. Define the vertical navigation for the buttons by dragging between the hotspots. This determines how the buttons will be navigated and selected with the Up and Down arrows on the remote control.
    • Drag from the left square hotspot to the Back button.
    • Drag from the Back hotspot to the left square button.
To set the highlight colors for the Chapter Menu buttons:
  1. In the Preview window’s control panel, click the Display Color button. The Preview window displays the default highlight color for the button hotspots, how they will appear when not selected and not activated.

            2.

  2. Set the Contrast value for Color 3 (third color from the left at the bottom of the Preview window) to 0%. To adjust this value, click the Decrease Contrast button (–) repeatedly.

            3.

    As the Contrast value decreases, the three button squares within the hotspots decrease in opacity until they are completely transparent.

  3. Click Color 2 and select Black from the pop-up menu palette. The Back button is displayed in black. Set the Contrast value for Color 2 to 100%.
  4. Click the Selection Color button. The Preview window displays the Selection Color for button hotspots, how they will appear when selected.
  5. Click Color 3 and select Light Gray from the pop-up menu palette. The three button squares are displayed in light gray. Set the Contrast value for Color 3 to 80%.
  6. Click Color 2 and select Light Gray from the pop-up menu palette. The Back button is displayed in light gray. Set the Contrast value for Color 2 to 80%.
  7. Click the Action Color button. The Preview window displays the Action Color for button highlights, how they will appear when activated (by pressing the Enter key on the remote control).
  8. Click Color 3 and select Dark Red from the pop-up menu palette. The three button squares are displayed in dark red. Set the Contrast value for Color 3 to 60%.
  9. Click Color 2 and select Dark Red from the pop-up menu palette. The Back button is displayed in dark red. Set the Contrast value for Color 2 to 60%.
To set the commands for the Chapter Menu buttons:
  1. In the Storyboard area, set the Command link for the first button. Drag from the Chapter Menu’s Command Link symbol (at the bottom of the icon) to the “04_Main_Movie.mpv” track.
  2. In the Select Chapter dialog, select the destination chapter (04_Main_Movie.mpv_ch.01) for the button.
  3. In the Choose Command Button dialog, click the left square hotspot that will link to the destination chapter.
  4. Repeat the previous steps for the center square and right square button hotspots (linking them to 04_Main_Movie.mpv_ch.02 and 04_Main_Movie.mpv_ch.03) and the Back button hotspot (linking it to 02_Main_Menu.mpv).
  5. Choose File > Save to save the project.

For more information about menu buttons, see Chapter 6, “Asset Import and Authoring” in the ReelDVD User Guide.

Defining the Button on the DVD Credits Menu

To define the button on the DVD Credits menu:
  1. If the Preview window is not visible, select View > Preview Window.
  2. Select the “06_DVD_Credits.psd” track in the Storyboard area, so it is displayed in the Preview window.
  3. In the Preview window’s control panel, click the Display Color button. The Preview window displays the default highlight color for the button hotspots, how they will appear when not selected and not activated.
  4. Click Color 3 and select Black from the pop-up menu palette. The Back button is displayed in black. Set the Contrast value for Color 3 to 100%.
  5. Click the Selection Color button. The Preview window displays the Selection Color for button hotspots, how they will appear when selected.
  6. Click Color 3 and select Light Gray from the pop-up menu palette. The Back button is displayed in light gray. Set the Contrast value for Color 3 to 80%.
  7. Click the Action Color button. The Preview window displays the Action Color for button highlights, how they will appear when activated (by pressing the Enter key on the remote control).
  8. Click Color 3 and select Dark Red from the pop-up menu palette. The Back button is displayed in dark red. Set the Contrast value for Color 3 to 60%.
  9. In the Storyboard area, set the Command link for the Back button. Drag from the DVD Credit’s Command Link symbol (at the bottom of the icon) to the “04_Main_Menu.mpv” track.
  10. In the Choose Command Button dialog, click the Back button hotspot that will link to the Main Menu.
  11. Choose File > Save to save the project.

For more information about menu buttons, see Chapter 6, “Asset Import and Authoring” in the ReelDVD User Guide.

Completed Button Links

Once the button links have been defined for the tutorial project, the Storyboard area should look like Figure 4.

Figure 4: Final Project Authoring

The project is now ready to be proofed and, if everything is satisfactory, written as a disc image.


Testing and Output

This section documents how to test the ReelDVD Tutorial Project and output it to disc or tape. It includes the following topics:

  • Using Simulation Mode
  • Writing the Disc Image Files
  • Using CinePlayer DVD to Test the Project
  • Writing the Project to Disc or Tape


Using Simulation Mode

When in Simulation mode, ReelDVD’s Preview window allows you to fully test the navigation for the project before committing to writing the disc image. This simulator uses a simple software decoder to play the DVD content and is designed to behave just like a real DVD player. However, because it is a software decoder, its playback performance is limited by the CPU speed of your computer. To verify playback quality and synchronization, you should use a software DVD player such as CinePlayer DVD (see Using CinePlayer DVD to Test the Project).

To check the tutorial project with Simulation mode:
  1. If the Preview window is not visible, select View > Preview Window.
  2. To view playback from the beginning, select the Auto Play icon in the Storyboard area.
  3. In the Preview window, click the Simulation On/Off button (in the lower left corner of the control panel) so it turns green.
  4. Click Play. The project begins playing from the Main Intro.
  5. Use the controls in the Preview window to interact with the project as if you were a viewer:
    • Check that playback flows from track to track as expected.
    • Click the Menu and Title keys and verify that they link to the correct destinations.
    • Click the Skip Forward, Skip Backward and Return keys and check their links.
    • For each menu, make sure you can intuitively access each button and that their Display, Selection, and Action colors are correct.
    • Verify that each button command jumps to the correct destination.
    • For motion menus, check that they loop back to the beginning after they have finished playing.

If the project passes these tests, it is ready to be written as a disc image and proofed in CinePlayer DVD. For more information about Simulation mode, see Chapter 7, “Simulation and Writing” in the ReelDVD User Guide.


Writing the Disc Image Files

If you want to proof the tutorial project with a software DVD player (such as CinePlayer DVD), you must write the disc image files to a directory on your hard drive. These files can later be used to write to disc or tape.

To write the disc image files:
  1. With the ReelDVD Tutorial project open, choose Edit > Project Settings. The Project Settings dialog opens.
  2. Click the Layout Settings tab.
  3. Click the Browse button for Disc Image and select a target directory, where the work files and disc image will be written, then click OK. This should be an empty directory residing on a hard drive with at least 400 MB of available space (twice the actual size of the project).

    4. After specifying the Disc Image directory, the directories for DVD Video and Temporary Files are automatically set.

  4. Deselect “Delete When Done” for DVD Video. These files are required if you want to test the project with CinePlayer DVD.
  5. Click OK to close the Project Settings Dialog.
  6. Choose File > Make Disc. The Make Disc dialog opens.
  7. In the Step 1 section, select the options for “Create DVD Video Files” and “Create Disc Image File.” Leave the Write To Device option deselected.
  8. In the Step 2 section, leave the fields set to their defaults (based on the Project Settings).
  9. Click Start. The Information window opens and displays status messages as the video streams are multiplexed, the DVD-Video files are written, and the disc image file is written.

Using CinePlayer DVD to Test the Project

If you have Ravisent’s CinePlayer DVD software, you can use it to further test the tutorial project by playing the compiled image file from the hard drive before burning a disc. This process is typically referred to as emulation and is better suited for checking synchronization, subtitle timing, and playback performance.

To emulate the project with CinePlayer DVD:
  1. Use ReelDVD to create a VIDEO_TS directory with the “Create DVD Video Files” option in the Make Disc dialog (see Writing the Disc Image Files).
  2. From the Windows Start menu, choose Programs > CinePlayer DVD > CinePlayer DVD. The CinePlayer DVD application opens.
  3. Right-click in the Video window and choose Open Media > Browse from the pop-up menu. The Open Media File window opens.
  4. Navigate to and open the project’s VIDEO_TS folder previously written by ReelDVD. Select the VIDEO_TS.IFO file and click Open. The ReelDVD Tutorial Project begins to play.
  5. Use the player controls to interact with the project and test items such as:
    • Audio and video synchronization
    • Timing of subtitles
    • Appearance and responsiveness of menus
    • Overall visual quality of the playback

Keep in mind that CinePlayer DVD is a software decoder and while it provides much higher performance than Simulation mode in ReelDVD, its performance is still limited by the CPU speed of your computer.

For information on using CinePlayer DVD, refer to the online documentation installed with the software.


Writing the Project to Disc or Tape

Once you have thoroughly tested the project’s navigation, playback quality, and synchronization, you are ready to write the project to CD-R for playback on computers, DVD-R for playback on both computers and set-top DVD players, or DLT tape for mass replication.

This section includes the following topics:

  • Writing to CD-R or DVD-R
  • Writing to DLT Tape

Writing to CD-R or DVD-R

If you want to create just a few copies of your project for playback in consumer set-top DVD players, as well as on computers, you can output the project to DVD-R media. You can also output the project to CD-R media for playback on computers.

Note: DVD players may not support playback from CD-R or DVD-R media. If the disc you create is not recognized by your player, or exhibits break-up of the video or audio during playback, consult the player’s manufacturer regarding support for CD-R or DVD-R media.

To output to CD-R or DVD-R:
  1. With the ReelDVD Tutorial project open, choose File > Make Disc. The Make Disc dialog opens.
  2. In the Step 1 section, select all three options: Create DVD Video Files, Create Disc Image File, and Write to Device.

    3. If you have previously written the DVD-VIdeo files and disc image (see Writing the Disc Image Files), and have not made any subsequent changes to the project, you can deselect the options for Create DVD Video Files and Create Disc Image. ReelDVD will use the existing DVD Video files.

  3. Select your CD-R or DVD-R recorder from the Target Device list.

    4. ReelDVD supports a wide variety DVD recorders. If your device is supported and properly connected and powered on, ReelDVD will automatically recognize it.

  4. Select the Simulate Write option if you want to test the output process without actually burning a disc.
  5. In the Step 2 section, set the Disc Name and Target Directories.

    6. If you have previously configured the Layout Settings (see Writing the Disc Image Files), these options are set automatically and need not be changed.

  6. Click Start to begin and insert a blank disc when prompted.

The layout process that follows takes approximately 5 minutes to compile and another 10 minutes to burn to disc, depending on the speed of your computer and recorder.

When the output process has completed, ReelDVD will indicate a successful disc creation. If, however, there are any errors during the process, a corresponding error message will appear in the Information window, and ReelDVD will indicate that the output failed.

Writing to DLT Tape

If you want to have your project manufactured on a large scale, the best option is usually to write it to DLT tape and send it to a DVD replicator for mass production. DLT tape is the standard format for delivering DVD content for replication.

To output to DLT tape:
  1. With the ReelDVD Tutorial project open, choose File > Make Disc. The Make Disc dialog opens.
  2. In the Step 1 section, select all three options: Create DVD Video Files, Create Disc Image File, and Write to Device.

    3. If you have previously written the DVD-VIdeo files and disc image (see Writing the Disc Image Files), and have not made any subsequent changes to the project, you can deselect the options for Create DVD Video Files and Create Disc Image. ReelDVD will use the existing DVD Video files.

  3. Select your DLT tape drive in the Target Device list.

    4. ReelDVD supports a wide variety tape drives. If your device is supported and properly connected and powered on, ReelDVD will automatically recognize it.

  4. Insert a blank DLT Type III tape in the drive.

    5. Most replicators require Type III tapes (rather than Type IIIxt or IV). Check with your replicator for specific DLT tape requirements.

  5. In the Step 2 section, set the Disc Name and Target Directories.

    6. If you have previously configured the Layout Settings (see Writing the Disc Image Files), these options are set automatically and need not be changed.

  6. Click Start to begin compiling the project and writing it to tape.

The layout process that follows takes approximately 5 minutes to compile and another 10 minutes to write to tape, depending on the speed of your computer. When it completes, you will have a “DDP 2.0 format” DLT tape ready for shipment to the replicator.


Conclusion

Once you have output the project to CD-R, DVD-R, or DLT tape, the tutorial is complete. After you’ve had a chance to review the final disc, you might want to go back and try a few more things, such as:

  • Add more subtitles to the feature video using ReelDVD’s built-in Subtitle Editor.
  • Change the project flow so that the Main Menu jumps to the feature when it times out, rather than simply looping.
  • Experiment with different highlight colors, or even create your own subpictures for the menus.
  • Perhaps even add some new subtitle languages or audio streams in order to familiarize yourself with ReelDVD’s multi-lingual capabilities.


© Copyright 2000–2002 Sonic Solutions. All rights reserved.
ReelDVD Tutorial — Sonic Part Number 800XXX Rev B (08/02)